mediastreamer2 2.12.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
_MSQosAnalyzer Struct Reference

`#include <bitratecontrol.h>`

## Data Fields
void(* | on_action_suggested )(void *userpointer, int argc, const char **argv)
void * | on_action_suggested_user_pointer

## Detailed Description

A MSQosAnalyzer is responsible to analyze RTCP feedback and suggest actions on bitrate or packet rate accordingly. This is an abstract interface.

## Field Documentation

void(* _MSQosAnalyzer::on_action_suggested) (void *userpointer, int argc, const char **argv)

Each time the algorithm suggest an action, this callback is called with the userpointer

Parameters

  userpointer | on_action_suggested_user_pointer pointer given
  argc | number of arguments on the third argument array
  argv | array containing various algorithm dependent information

void* _MSQosAnalyzer::on_action_suggested_user_pointer

User pointer given at on_action_suggested callback

The documentation for this struct was generated from the following file:

- bitratecontrol.h